%define        javahome   /usr/lib/jvm/java

Name:          joesnmp
Version:       0.3.4
Release:       %mkrel 4
Summary:       Java SNMP class library
Group:         Development/Java
License:       LGPL
Url:           http://joesnmp.sourceforge.net/
Source0:       http://sourceforge.net/projects/joesnmp/files/joesnmp/joesnmp-0.3.4/joesnmp-0.3.4.zip
Source1:       joesnmp-0.3.4.pom
Patch0:        joesnmp-0.3.4-javadoc.patch
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      jpackage-utils
BuildArch:     noarch

%description
joeSNMP is an open-source Java SNMP class library.

%package        javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description    javadoc
joeSNMP is an open-source Java SNMP class library.

This package contains Javadoc for %{name}.

#%package        demo
#Group:          Development/Java
#Summary:        Examples for %{name}

#%description    demo
#joeSNMP is an open-source Java SNMP class library.

#This package contains demonstrations and samples for %{name}.

%prep
%setup -q -n joesnmp-%{version}

%patch0 -p0
%{__perl} -pi -e 's/\r$//g' $(find . -name "*.txt")

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done

# NON FREE see http://www.savarese.org/oro/downloads/NetComponentsLicense.html
# download is available here http://www.savarese.org/oro/index.html#NetComponents
# mv tools/ant/lib/NetComponents.jar tools/ant/lib/NetComponents.jar.no

pushd tools/ant/lib
  ln -sf $(build-classpath ant) ant.jar
  ln -sf $(build-classpath xerces-j2) xercesImpl.jar
  ln -sf $(build-classpath xml-commons-apis) xml-apis.jar
popd

%build
export JAVA_HOME=%javahome
export CLASSPATH=$(build-classpath ant ant-launcher)
ant -Dfilters.noload=true

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 output/lib/joesnmp.jar \
 \%{buildroot}%{_javadir}/joesnmp-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-joesnmp.pom

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

%add_maven_depmap 

mkdir -p %{buildroot}%{_javadocdir}/joesnmp-%{version}
cp -pr output/apidocs/* %{buildroot}%{_javadocdir}/joesnmp-%{version}
ln -s joesnmp-%{version} %{buildroot}%{_javadocdir}/joesnmp

#install -pm 644 output/lib/joesnmp-examples.jar \
#  %{buildroot}%{_javadir}/joesnmp-examples-%{version}.jar

%files
%{_javadir}/joesnmp-%{version}.jar
%{_javadir}/joesnmp.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc CHANGELOG.txt LICENSE.txt 
%doc README.txt TODO.txt docs/FAQ.txt

%files javadoc
%{_javadocdir}/joesnmp-%{version}
%{_javadocdir}/joesnmp

#%files demo
#%{_javadir}/joesnmp-examples-%{version}.jar



%changelog
* Sun Dec 22 2013 dmorgan <dmorgan> 0.3.4-4.mga4
+ Revision: 559954
- Use add_maven_depmap instead of add_to_maven_depmap to fix FTBFS

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.4-2.mga3
+ Revision: 355521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 31 2011 dmorgan <dmorgan> 0.3.4-1.mga2
+ Revision: 130887
- Build with openjdk
- Clean spec file

  + gil <gil>
    - imported package joesnmp


* Fri Jun 03 2011 gil <gil> 0.3.4-0.%%mkrel
- initial rpm